Opened 8 weeks ago

Last modified 2 days ago

#1313 new enhancement

Beware of SMR drives in CMR clothing

Reported by: Stoat Owned by:
Priority: minor Milestone: undecided
Component: all Version:
Keywords: Cc: Christopher Kenna, Christoph, Andrew Clayton

Description (last modified by Christian Franke)

I'm really not sure how this can be addressed easily.

There are a lot of SMR drives quietly submarining into supply channels that are programmed to "look" like "conventional" drives (CMR). This appears to be an attempt to end-run around consumer resistance

WD and Seagate are _both_ shipping drive-managed SMR (DM-SMR) drives which don't report themselves as SMR when questioned via conventional means.

What's worse, they're shipping DM-SMR drives as "RAID" and "NAS" drives

This is causing MAJOR problems - such as the latest iteration of WD REDs (WDx0EFAX replacing WDx0EFRX) being unable to be used for rebuilding RAID[56] or ZFS RAIDZ sets: They rebuiild for a while (1-2 hours), then throw errors and get kicked out of the set.

When this happens, the drives themselves report such oddities in the logs as "IDNF" ("Sector ID not found") when interrogated with smartctl -x

----
Error 451 [18] occurred at disk power-on lifetime: 286 hours (11 days + 22 hours)
  When the command that caused the error occurred, the device was active or idle.

  After command completion occurred, registers were:
  ER -- ST COUNT  LBA_48  LH LM LL DV DC
  -- -- -- == -- == == == -- -- -- -- --
  10 -- 51 00 00 00 00 cf ae b9 20 40 00  Error: IDNF at LBA = 0xcfaeb920 = 3484334368

  Commands leading to the command that caused the error were:
  CR FEATR COUNT  LBA_48  LH LM LL DV DC  Powered_Up_Time  Command/Feature_Name
  -- == -- == -- == == == -- -- -- -- --  ---------------  --------------------
  61 00 10 00 28 00 00 00 00 0a 10 40 00  8d+03:27:28.841  WRITE FPDMA QUEUED
  61 00 10 00 18 00 01 d1 c0 76 10 40 00  8d+03:27:28.841  WRITE FPDMA QUEUED
  61 00 10 00 10 00 01 d1 c0 74 10 40 00  8d+03:27:28.765  WRITE FPDMA QUEUED
  61 00 90 00 08 00 00 cf ae ba 60 40 00  8d+03:27:28.765  WRITE FPDMA QUEUED
  61 00 a0 00 00 00 00 cf ae b9 b8 40 00  8d+03:27:28.765  WRITE FPDMA QUEUED
----

This manifests in Linux kernel as:

[20809.396248] blk_update_request: critical target error, dev sdd, sector 3484334368 op 0x1:(WRITE) flags 0x700 phys_seg 2 prio class 0
[20809.396275] sd 0:0:3:0: [sdd] tag#830 FAILED Result: hostbyte=DID_SOFT_ERROR driverbyte=DRIVER_OK
[20809.396279] sd 0:0:3:0: [sdd] tag#829 FAILED Result: hostbyte=DID_SOFT_ERROR driverbyte=DRIVER_OK
[20809.396280] sd 0:0:3:0: [sdd] tag#830 CDB: Write(16) 8a 00 00 00 00 00 cf ae ba 60 00 00 00 90 00 00
[20809.396284] blk_update_request: I/O error, dev sdd, sector 3484334688 op 0x1:(WRITE) flags 0x700 phys_seg 2 prio class 0
[20809.396285] sd 0:0:3:0: [sdd] tag#829 CDB: Write(16) 8a 00 00 00 00 00 cf ae b9 b8 00 00 00 a0 00 00
[20809.396289] blk_update_request: I/O error, dev sdd, sector 3484334520 op 0x1:(WRITE) flags 0x700 phys_seg 2 prio class 0
----

I'd originally thought this was due to them reading ahead to areas not yet recorded in the shingled area in use and getting an unformatted block(*), but 100% zero-filling a drive resulted in the same errors.

(*) SMR zone filling is different to CMR preformatted layouts

The only real external clue that these drives are not what they should be is that they report themselves as "trim" capable - which a CMR drive shouldn't be able to do.

for a WD40EFAX

hdparm -I shows:
           *    Data Set Management TRIM supported (limit 10 blocks)
           *    Deterministic read ZEROs after TRIM

And to make matters worse, not all DM-SMR drives are doing this - for example Seagate ST3000DM-007 are DM-SMR but don't report TRIM capabilities

Caveats:

Beware of using "PMR" as a term, SMR (shingled) is an extension on PMR and if you use this instead of "CMR" (for 'conventional') the drive makers will latch on it to twist words and block your complaints - I've already found this out the hard way, and the fact that they're resorting to weasel-activities like that shows they know that they have created problems.

"Two dimensional magnetic recording"(TDMR) is a necessary part of SMR (shingled+zoning), but the marketers don't see it that way. The effect is the same and the implications of both are the same.

Attachments (7)

TOSHIBA HDWL120.txt (12.7 KB) - added by arinci 7 weeks ago.
identify_wb.txt (25.4 KB) - added by arinci 7 weeks ago.
WD100EFAX-smart-x.txt (10.8 KB) - added by Christopher Kenna 6 weeks ago.
WD100EFAX-smart-id.txt (25.2 KB) - added by Christopher Kenna 6 weeks ago.
hdparm-I_WD40EFRX-68N32N0.txt (2.9 KB) - added by nightsparc 6 weeks ago.
hdparm -I output for WD40EFRX
WD80EFAX-68KNBN0.txt (4.5 KB) - added by Christoph 6 weeks ago.
WD80EFAX-68KNBN0-identify.txt (24.5 KB) - added by Christoph 6 weeks ago.
WD80EFAX identify=wb

Download all attachments as: .zip

Change History (39)

comment:1 Changed 8 weeks ago by Christian Franke

Description: modified (diff)

comment:2 Changed 8 weeks ago by Christian Franke

Milestone: undecided

Thanks for the info. What kind smartmontools enhancement do you suggest?

comment:3 Changed 8 weeks ago by Stoat

At the moment I'm not sure.

All I can suggest that if a drive reports itself as "rotational" with "trim" capabilities, but gives negative response to T10/T13 SMR queries, a warning message be issued that all is not as it seems.

It's been known that SMR/TDMR drives have different characteristics to CMR drives but these can be mitigated to some extent if handled in a Host-Aware or "Host-Managed" scenario. (HA-SMR or HM-SMR)

It's worth noting that in the HGST presentation about SMR drives to the Europe OpenZFS forum in 2015, the HGST engineer who was responsible for SMR development stated that the disadvantages of DM-SMR were so marked that HGST declined to put them on the market (https://www.youtube.com/watch?v=a2lnMxMUxyc - this is worth watching to understand how these drives are different to CMR drives)

If I hadn't purchased a batch of drives I would have chalked it up to a faulty unit but having the same issue crop up in multiple devices was a wakeup call - as was the WD response.

The biggest problem is that in a DM-SMR environment, performance can vary wildly from "okish" to "utterly rotten" as well as the problem I've noted in my original entry. It's not acceptable that makers are hiding the underlaying architecture from the data sheets - or that they're marketing these things as RAID drives when they're patently unable to be used to resilver existing arrays of what appear to be the "same" drives.

I suspect regulators are likely to need to step in over misleading marketing claims, but at the end of the day it's clear that SMR drives are here to stay.

comment:4 Changed 8 weeks ago by Stoat

smartctl -x differences.

Not sure if these will be of much use trying to pick between SMR/CMR drives
(although it's been presented as "fact" that EFRX = CMR and EFAX = SMR, it would result in a requirement to "know" models in order to put that into drive.db and that means "moving target")

WD20EFRX vs WD40EFAX (sorry, no WD40EFRX on hand)

- ATA Version is:   ACS-2 (minor revision not indicated)
- SATA Version is:  SATA 3.0, 6.0 Gb/s (current: 6.0 Gb/s)
+ ATA Version is:   ACS-3 T13/2161-D revision 5
+ SATA Version is:  SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s)

- SCT capabilities:              (0x703d) SCT Status supported.
+ SCT capabilities:              (0x3039) SCT Status supported.


General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
Address    Access  R/W   Size  Description
0x00       GPL,SL  R/O      1  Log Directory
0x01           SL  R/O      1  Summary SMART error log
0x02           SL  R/O      5  Comprehensive SMART error log
0x03       GPL     R/O      6  Ext. Comprehensive SMART error log
+ 0x04       GPL     R/O    256  Device Statistics log
+ 0x04       SL      R/O      8  Device Statistics log
0x06           SL  R/O      1  SMART self-test log
0x07       GPL     R/O      1  Extended self-test log
0x09           SL  R/W      1  Selective self-test log
+ 0x0c       GPL     R/O   2048  Pending Defects log
0x10       GPL     R/O      1  NCQ Command Error log
0x11       GPL     R/O      1  SATA Phy Event Counters log
- 0x21       GPL     R/O      1  Write stream error log
- 0x22       GPL     R/O      1  Read stream error log
+ 0x24       GPL     R/O    294  Current Device Internal Status Data log
+ 0x30       GPL,SL  R/O      9  IDENTIFY DEVICE data log
0x80-0x9f  GPL,SL  R/W     16  Host vendor specific log
0xa0-0xa7  GPL,SL  VS      16  Device vendor specific log
- 0xa8-0xb7  GPL,SL  VS       1  Device vendor specific log
+ 0xa8-0xb6  GPL,SL  VS       1  Device vendor specific log
+ 0xb7       GPL,SL  VS      78  Device vendor specific log
+ 0xb9       GPL,SL  VS       4  Device vendor specific log
0xbd       GPL,SL  VS       1  Device vendor specific log
0xc0       GPL,SL  VS       1  Device vendor specific log
0xc1       GPL     VS      93  Device vendor specific log
0xe0       GPL,SL  R/W      1  SCT Command/Status
0xe1       GPL,SL  R/W      1  SCT Data Transfer

WD20EFRX: 
Device Statistics (GP/SMART Log 0x04) not supported
Pending Defects log (GP Log 0x0c) not supported
WD40EFAX:

Device Statistics (GP Log 0x04)
Page  Offset Size        Value Flags Description
0x01  =====  =               =  ===  == General Statistics (rev 1) ==
0x01  0x008  4               9  ---  Lifetime Power-On Resets
0x01  0x010  4             328  ---  Power-on Hours
0x01  0x018  6     13971552924  ---  Logical Sectors Written
0x01  0x020  6       310558597  ---  Number of Write Commands
0x01  0x028  6         2208533  ---  Logical Sectors Read
0x01  0x030  6           90243  ---  Number of Read Commands
0x01  0x038  6      1180800000  ---  Date and Time TimeStamp
0x03  =====  =               =  ===  == Rotating Media Statistics (rev 1) ==
0x03  0x008  4             326  ---  Spindle Motor Power-on Hours
0x03  0x010  4             307  ---  Head Flying Hours
0x03  0x018  4              24  ---  Head Load Events
0x03  0x020  4               0  ---  Number of Reallocated Logical Sectors
0x03  0x028  4               0  ---  Read Recovery Attempts
0x03  0x030  4               0  ---  Number of Mechanical Start Failures
0x03  0x038  4               0  ---  Number of Realloc. Candidate Logical Sectors
0x03  0x040  4               5  ---  Number of High Priority Unload Events
0x04  =====  =               =  ===  == General Errors Statistics (rev 1) ==
0x04  0x008  4             452  ---  Number of Reported Uncorrectable Errors
0x04  0x010  4               0  ---  Resets Between Cmd Acceptance and Completion
0x05  =====  =               =  ===  == Temperature Statistics (rev 1) ==
0x05  0x008  1              29  ---  Current Temperature
0x05  0x010  1              26  ---  Average Short Term Temperature
0x05  0x018  1               -  ---  Average Long Term Temperature
0x05  0x020  1              33  ---  Highest Temperature
0x05  0x028  1              20  ---  Lowest Temperature
0x05  0x030  1              28  ---  Highest Average Short Term Temperature
0x05  0x038  1              24  ---  Lowest Average Short Term Temperature
0x05  0x040  1               -  ---  Highest Average Long Term Temperature
0x05  0x048  1               -  ---  Lowest Average Long Term Temperature
0x05  0x050  4               0  ---  Time in Over-Temperature
0x05  0x058  1              65  ---  Specified Maximum Operating Temperature
0x05  0x060  4               0  ---  Time in Under-Temperature
0x05  0x068  1               0  ---  Specified Minimum Operating Temperature
0x06  =====  =               =  ===  == Transport Statistics (rev 1) ==
0x06  0x008  4             113  ---  Number of Hardware Resets
0x06  0x010  4              24  ---  Number of ASR Events
0x06  0x018  4               0  ---  Number of Interface CRC Errors
0xff  =====  =               =  ===  == Vendor Specific Statistics (rev 1) ==
0xff  0x008  7               0  ---  Vendor Specific
0xff  0x010  7               0  ---  Vendor Specific
0xff  0x018  7               0  ---  Vendor Specific
                                |||_ C monitored condition met
                                ||__ D supports DSN
                                |___ N normalized value

Pending Defects log (GP Log 0x0c)
No Defects Logged

SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x0001  2            0  Command failed due to ICRC error
0x0002  2            0  R_ERR response for data FIS
0x0003  2            0  R_ERR response for device-to-host data FIS
0x0004  2            0  R_ERR response for host-to-device data FIS
0x0005  2            0  R_ERR response for non-data FIS
0x0006  2            0  R_ERR response for device-to-host non-data FIS
0x0007  2            0  R_ERR response for host-to-device non-data FIS
0x0008  2            0  Device-to-host non-data FIS retries
0x0009  2           19  Transition from drive PhyRdy to drive PhyNRdy
- 0x000a  2           20  Device-to-host register FISes sent due to a COMRESET
+ 0x000a  2           40  Device-to-host register FISes sent due to a COMRESET
0x000b  2            0  CRC errors within host-to-device FIS
+ 0x000d  2            0  Non-CRC errors within host-to-device FIS
0x000f  2            0  R_ERR response for host-to-device data FIS, CRC
0x0012  2            0  R_ERR response for host-to-device non-data FIS, CRC
- 0x8000  4       856405  Vendor specific
+ 0x8000  4       856297  Vendor specific

Last edited 8 weeks ago by Stoat (previous) (diff)

comment:5 Changed 8 weeks ago by arinci

I think something that could help to identify SMR disks is already defined in smartctl: use the parameter --identify=wb and search for word 69, bits1:0. Here is defines the Zoned Capabilities of device, according to the following table:
00b Not reported
01b Device supports the Host Aware Zones feature set (see ZAC)
10b Device supports device managed zoned device capabilities
11b Reserved

Stoat, can you please try the identify command on your SMR drives?

And to offer more detailed info I'd like to suggest a little addition to smartctl: there is a quite new standard from T13, named "Zoned Device ATA Command Set (ZAC)", the PDF with all the details is available here: http://www.t13.org/Documents/UploadedDocuments/docs2015/di537r05-Zoned_Device_ATA_Command_Set_ZAC.pdf

If you read this standard you will see that there is an extension of the IDENTIFY DEVICE command, explained on page 76 of the pdf. This could help to get a lot more info from SMR hdds.
But first I suggest to take a look at what is returned from the identify command.

comment:6 Changed 8 weeks ago by Stoat

69 1:0 0x0 Zoned Capabilities

That appears to be "not reported" on the WD40EFAX (and is the same as the WD20EFRX)

Complete dump below:

smartctl 7.1 2019-12-30 r5022 [x86_64-linux-5.4.0-18-generic] (local build)
Copyright (C) 2002-19, Bruce Allen, Christian Franke, www.smartmontools.org

=== ATA IDENTIFY DATA ===
Word     Bit     Value   Description

   0      -     0x427a   General configuration
   0     15          0   Device identifier: 0 = ATA, 1 = ATAPI
   0     14:8     0x42   Vendor specific [RET-3]
   0      7          0   Removable media device [OBS-8]
   0      6          1   Not removable controller and/or device [OBS-6]
   0      5:3      0x7   Vendor specific [RET-3]
   0      2          0   Response incomplete
   0      1          1   Vendor specific [RET-3]
   0      0          0   Reserved

   1      -     0x3fff   Cylinders [OBS-6]

   2      -     0xc837   Specific configuration (0x37c8/738c/8c73/c837)

   3      -     0x0010   Heads [OBS-6]

   4      -     0x0000   Vendor specific [RET-3]

   5      -     0x0000   Vendor specific [RET-3]

   6      -     0x003f   Sectors per track [OBS-6]

   7-8    -     0x00...  Reserved for CFA (Sectors per card)

   9      -     0x0000   Vendor specific [RET-4]

  10-19   -     .        Serial number (String)
  10-13   .     0x2020:2020:2057:442d  "     WD-"
  14-17   .     0x5758:3132:4431:3045  "WX12D10E"
  18-19   .     0x3055:3248            "0U2H"

  20      -     0x0000   Vendor specific [RET-3]

  21      -     0x0000   Vendor specific [RET-3]

  22      -     0x0000   Vendor specific bytes on READ/WRITE LONG [OBS-4]

  23-26   -     .        Firmware revision (String)
  23-26   .     0x3832:2e30:3041:3832  "82.00A82"

  27-46   -     .        Model number (String)
  27-30   .     0x5744:4320:5744:3430  "WDC WD40"
  31-34   .     0x4546:4158:2d36:384a  "EFAX-68J"
  35-38   .     0x4834:4e30:2020:2020  "H4N0    "
  39-42   .     0x2020:2020:2020:2020  "        "
  43-46   .     0x2020:2020:2020:2020  "        "

  47      -     0x8010   READ/WRITE MULTIPLE support
  47     15:8     0x80   Must be set to 0x80
  47      7:0     0x10   Maximum sectors per DRQ on READ/WRITE MULTIPLE

  48      -     0x4000   Trusted Computing feature set options
  48     15:14     0x1   Must be set to 0x1
  48     13:1   0x0000   Reserved for the Trusted Computing Group
  48      0          0   Trusted Computing feature set supported

  49      -     0x2f00   Capabilities
  49     15:14     0x0   Reserved for IDENTIFY PACKET DEVICE
  49     13          1   Standard standby timer values supported
  49     12          0   Reserved for IDENTIFY PACKET DEVICE
  49     11          1   IORDY supported
  49     10          1   IORDY may be disabled
  49      9          1   LBA supported
  49      8          1   DMA supported
  49      7:2     0x00   Reserved
  49      1:0      0x0   Long Phy Sector Alignment Error reporting

  50      -     0x4001   Capabilities
  50     15:14     0x1   Must be set to 0x1
  50     13:2    0x000   Reserved
  50      1          0   Reserved [OBS-6]
  50      0          1   Vendor specific minimum standby timer value

  51      -     0x0000   PIO data transfer mode [OBS-5]

  52      -     0x0000   Single Word DMA data transfer mode [OBS-3]

  53      -     0x0006   Field validity / Free-fall Control
  53     15:8     0x00   Free-fall Control sensitivity
  53      7:3     0x00   Reserved
  53      2          1   Word 88 (Ultra DMA modes) is valid
  53      1          1   Words 64-70 (PIO modes) are valid
  53      0          0   Words 54-58 (CHS) are valid [OBS-6]

  54      -     0x3fff   Current cylinders [OBS-6]

  55      -     0x0010   Current heads [OBS-6]

  56      -     0x003f   Current sectors per track [OBS-6]

  57-58   -     .        Current capacity in sectors (DWord) [OBS-6]
  57-58   .     0xfc10:00fb  (16514064)

  59      -     0x0110   Sanitize Device - READ/WRITE MULTIPLE support
  59     15          0   BLOCK ERASE EXT supported
  59     14          0   OVERWRITE EXT supported
  59     13          0   CRYPTO SCRAMBLE EXT supported
  59     12          0   Sanitize Device feature set supported
  59     11          0   Cmds during sanitize as specified by this standard
  59     10          0   SANITIZE ANTIFREEZE LOCK EXT supported
  59      9          0   Reserved
  59      8          1   Bits 7:0 are valid [OBS-ACS-4]
  59      7:0     0x10   Current number of sectors per DRQ [OBS-ACS-4]

  60-61   -     .        User addressable sectors for 28-bit commands (DWord)
  60-61   .     0xffff:0fff  (268435455)

  62      -     0x0000   Single Word DMA modes [OBS-3]

  63      -     0x0007   Multiword DMA modes
  63     15:11    0x00   Reserved
  63     10          0   Multiword DMA mode 2 selected
  63      9          0   Multiword DMA mode 1 selected
  63      8          0   Multiword DMA mode 0 selected
  63      7:3     0x00   Reserved
  63      2          1   Multiword DMA mode 2 and below supported
  63      1          1   Multiword DMA mode 1 and below supported
  63      0          1   Multiword DMA mode 0 supported

  64      -     0x0003   PIO modes
  64     15:2   0x0000   Reserved
  64      1          1   PIO mode 4 supported
  64      0          1   PIO mode 3 supported

  65      -     0x0078   Minimum Multiword DMA cycle time per word in ns

  66      -     0x0078   Recommended Multiword DMA cycle time in ns

  67      -     0x0078   Minimum PIO cycle time without flow control in ns

  68      -     0x0078   Minimum PIO cycle time with IORDY flow control in ns

  69      -     0x4d28   Additional support
  69     15          0   CFast specification supported
  69     14          1   Deterministic data after trim supported
  69     13          0   LPS Alignment Error Reporting Control supported
  69     12          0   DCO IDENTIFY/SET DMA supported [OBS-ACS-3]
  69     11          1   READ BUFFER DMA supported
  69     10          1   WRITE BUFFER DMA supported
  69      9          0   SET MAX SET PASSWORD/UNLOCK DMA supported [OBS-ACS-3]
  69      8          1   DOWNLOAD MICROCODE DMA supported
  69      7          0   Reserved for IEEE 1667
  69      6          0   Optional ATA device 28-bit commands supported
  69      5          1   Trimmed LBA range(s) returning zeroed data supported
  69      4          0   Device encrypts all user data
  69      3          1   Extended number of user addressable sectors supported
  69      2          0   All write cache is non-volatile
  69      1:0      0x0   Zoned Capabilities

  70      -     0x0000   Reserved

  71-74   -     0x00...  Reserved for IDENTIFY PACKET DEVICE

  75      -     0x001f   Queue depth
  75     15:5    0x000   Reserved
  75      4:0     0x1f   Maximum queue depth - 1

  76      -     0x9f0e   Serial ATA capabilities
  76     15          1   READ LOG DMA EXT as equiv to READ LOG EXT supported
  76     14          0   Device Auto Partial to Slumber transitions supported
  76     13          0   Host Auto Partial to Slumber transitions supported
  76     12          1   NCQ priority information supported
  76     11          1   Unload while NCQ commands are outstanding supported
  76     10          1   Phy Event Counters supported
  76      9          1   Receipt of host initiated PM requests supported
  76      8          1   NCQ feature set supported
  76      7:4      0x0   Reserved for Serial ATA
  76      3          1   SATA Gen3 signaling speed (6.0 Gb/s) supported
  76      2          1   SATA Gen2 signaling speed (3.0 Gb/s) supported
  76      1          1   SATA Gen1 signaling speed (1.5 Gb/s) supported
  76      0          0   Must be set to 0

  77      -     0x0006   Serial ATA additional capabilities
  77     15:9     0x00   Reserved for Serial ATA
  77      8          0   Power Disable feature always enabled
  77      7          0   DevSleep to ReducedPwrState supported
  77      6          0   RECEIVE/SEND FPDMA QUEUED supported
  77      5          0   NCQ Queue Management supported
  77      4          0   NCQ Streaming supported
  77      3:1      0x3   Current Serial ATA signal speed
  77      0          0   Must be set to 0

  78      -     0x004c   Serial ATA features supported
  78     15:13     0x0   Reserved for Serial ATA
  78     12          0   Power Disable feature supported
  78     11          0   Rebuild Assist feature set supported
  78     10          0   Reserved for Serial ATA
  78      9          0   Hybrid Information supported
  78      8          0   Device Sleep feature supported
  78      7          0   NCQ Autosense supported
  78      6          1   Software Settings Preservation supported
  78      5          0   Hardware Feature Control supported
  78      4          0   In-order data delivery supported
  78      3          1   Device initiated power management supported
  78      2          1   DMA Setup auto-activation supported
  78      1          0   Non-zero buffer offsets supported
  78      0          0   Must be set to 0

  79      -     0x0044   Serial ATA features enabled
  79     15:12     0x0   Reserved for Serial ATA
  79     11          0   Rebuild Assist feature set enabled
  79     10          0   Power Disable feature enabled
  79      9          0   Hybrid Information enabled
  79      8          0   Device Sleep feature enabled
  79      7          0   Automatic Partial to Slumber transitions enabled
  79      6          1   Software Settings Preservation enabled
  79      5          0   Hardware Feature Control enabled
  79      4          0   In-order data delivery enabled
  79      3          0   Device initiated power management enabled
  79      2          1   DMA Setup auto-activation enabled
  79      1          0   Non-zero buffer offsets enabled
  79      0          0   Must be set to 0

  80      -     0x07fe   Major version number
  80     15:12     0x0   Reserved
  80     11          0   ACS-4 supported
  80     10          1   ACS-3 supported
  80      9          1   ACS-2 supported
  80      8          1   ATA8-ACS supported
  80      7          1   ATA/ATAPI-7 supported [OBS-ACS-4]
  80      6          1   ATA/ATAPI-6 supported [OBS-ACS-4]
  80      5          1   ATA/ATAPI-5 supported [OBS-ACS-4]
  80      4          1   ATA/ATAPI-4 supported [OBS-8]
  80      3          1   ATA-3 supported [OBS-7]
  80      2          1   ATA-2 supported [OBS-6]
  80      1          1   ATA-1 supported [OBS-5]
  80      0          0   Reserved

  81      -     0x006d   Minor version number

  82      -     0x746b   Commands and feature sets supported
  82     15          0   IDENTIFY DEVICE DMA supported [OBS-4]
  82     14          1   NOP supported
  82     13          1   READ BUFFER supported
  82     12          1   WRITE BUFFER supported
  82     11          0   WRITE VERIFY supported [OBS-4]
  82     10          1   HPA feature set supported [OBS-ACS-3]
  82      9          0   DEVICE RESET supported
  82      8          0   SERVICE interrupt supported [OBS-ACS-2]
  82      7          0   Release interrupt supported [OBS-ACS-2]
  82      6          1   Read look-ahead supported
  82      5          1   Volatile write cache supported
  82      4          0   PACKET feature set supported
  82      3          1   Power Management feature set supported
  82      2          0   Removable Media feature set supported [OBS-8]
  82      1          1   Security feature set supported
  82      0          1   SMART feature set supported

  83      -     0x7501   Commands and feature sets supported
  83     15:14     0x1   Must be set to 0x1
  83     13          1   FLUSH CACHE EXT supported
  83     12          1   FLUSH CACHE supported
  83     11          0   DCO feature set supported [OBS-ACS-3]
  83     10          1   48-bit Address feature set supported
  83      9          0   AAM feature set supported [OBS-ACS-2]
  83      8          1   SET MAX security extension supported [OBS-ACS-3]
  83      7          0   Reserved for Addr Offset Resvd Area Boot [OBS-ACS-3]
  83      6          0   SET FEATURES subcommand required to spin-up
  83      5          0   PUIS feature set supported
  83      4          0   Removable Media Status Notification supported [OBS-8]
  83      3          0   APM feature set supported
  83      2          0   CFA feature set supported
  83      1          0   TCQ feature set supported [OBS-ACS-2]
  83      0          1   DOWNLOAD MICROCODE supported

  84      -     0x6123   Commands and feature sets supported
  84     15:14     0x1   Must be set to 0x1
  84     13          1   IDLE IMMEDIATE with UNLOAD feature supported
  84     12:11     0x0   Reserved for TLC [OBS-ACS-3]
  84     10          0   URG bit for WRITE STREAM (DMA) EXT supported [OBS-8]
  84      9          0   URG bit for READ STREAM (DMA) EXT supported [OBS-8]
  84      8          1   64-bit World Wide Name supported
  84      7          0   WRITE DMA QUEUED FUA EXT supported [OBS-ACS-2]
  84      6          0   WRITE DMA/MULTIPLE FUA EXT supported
  84      5          1   GPL feature set supported
  84      4          0   Streaming feature set supported
  84      3          0   Media Card Pass Through Command supported [OBS-ACS-2]
  84      2          0   Media serial number supported [RES-ACS-3]
  84      1          1   SMART self-test supported
  84      0          1   SMART error logging supported

  85      -     0x7469   Commands and feature sets supported or enabled
  85     15          0   IDENTIFY DEVICE DMA supported [OBS-4]
  85     14          1   NOP supported
  85     13          1   READ BUFFER supported
  85     12          1   WRITE BUFFER supported
  85     11          0   WRITE VERIFY supported [OBS-4]
  85     10          1   HPA feature set supported [OBS-ACS-3]
  85      9          0   DEVICE RESET supported
  85      8          0   SERVICE interrupt enabled [OBS-ACS-2]
  85      7          0   Release interrupt enabled [OBS-ACS-2]
  85      6          1   Read look-ahead enabled
  85      5          1   Write cache enabled
  85      4          0   PACKET feature set supported
  85      3          1   Power Management feature set supported
  85      2          0   Removable Media feature set supported [OBS-8]
  85      1          0   Security feature set enabled
  85      0          1   SMART feature set enabled

  86      -     0xb401   Commands and feature sets supported or enabled
  86     15          1   Words 119-120 are valid
  86     14          0   Reserved
  86     13          1   FLUSH CACHE EXT supported
  86     12          1   FLUSH CACHE supported
  86     11          0   DCO feature set supported [OBS-ACS-3]
  86     10          1   48-bit Address features set supported
  86      9          0   AAM feature set enabled [OBS-ACS-2]
  86      8          0   SET MAX security extension enabled [OBS-ACS-3]
  86      7          0   Reserved for Addr Offset Resvd Area Boot [OBS-ACS-3]
  86      6          0   SET FEATURES subcommand required to spin-up
  86      5          0   PUIS feature set enabled
  86      4          0   Removable Media Status Notification enabled [OBS-8]
  86      3          0   APM feature set enabled
  86      2          0   CFA feature set supported
  86      1          0   TCQ feature set supported [OBS-ACS-2]
  86      0          1   DOWNLOAD MICROCODE supported

  87      -     0x6123   Commands and feature sets supported or enabled
  87     15:14     0x1   Must be set to 0x1
  87     13          1   IDLE IMMEDIATE with UNLOAD FEATURE supported
  87     12:11     0x0   Reserved for TLC [OBS-ACS-3]
  87     10          0   URG bit for WRITE STREAM (DMA) EXT supported [OBS-8]
  87      9          0   URG bit for READ STREAM (DMA) EXT supported [OBS-8]
  87      8          1   64-bit World Wide Name supported
  87      7          0   WRITE DMA QUEUED FUA EXT supported [OBS-ACS-2]
  87      6          0   WRITE DMA/MULTIPLE FUA EXT supported
  87      5          1   GPL feature set supported
  87      4          0   Valid CONFIGURE STREAM has been executed [OBS-8]
  87      3          0   Media Card Pass Through Command supported [OBS-ACS-2]
  87      2          0   Media serial number is valid
  87      1          1   SMART self-test supported
  87      0          1   SMART error logging supported

 88      -     0x407f   Ultra DMA modes
  88     15          0   Reserved
  88     14          1   Ultra DMA mode 6 selected
  88     13          0   Ultra DMA mode 5 selected
  88     12          0   Ultra DMA mode 4 selected
  88     11          0   Ultra DMA mode 3 selected
  88     10          0   Ultra DMA mode 2 selected
  88      9          0   Ultra DMA mode 1 selected
  88      8          0   Ultra DMA mode 0 selected
  88      7          0   Reserved
  88      6          1   Ultra DMA mode 6 and below supported
  88      5          1   Ultra DMA mode 5 and below supported
  88      4          1   Ultra DMA mode 4 and below supported
  88      3          1   Ultra DMA mode 3 and below supported
  88      2          1   Ultra DMA mode 2 and below supported
  88      1          1   Ultra DMA mode 1 and below supported
  88      0          1   Ultra DMA mode 0 supported

  89      -     0x8102   SECURITY ERASE UNIT time
  89     15          1   Bits 14:8 of value are valid
  89     14:0   0x0102   SECURITY ERASE UNIT time value

  90      -     0x8102   ENHANCED SECURITY ERASE UNIT time
  90     15          1   Bits 14:8 of value are valid
  90     14:0   0x0102   ENHANCED SECURITY ERASE UNIT time value

  91      -     0x0000   Current APM level
  91     15:8     0x00   Reserved
  91      7:0     0x00   Current APM level value

  92      -     0xfffe   Master Password Identifier

  93      -     0x0000   Hardware reset result (PATA)
  93     15:14     0x0   Must be set to 0x1
  93     13          0   Device detected CBLID- above(1)/below(0) ViHB
  93     12          0   Reserved
  93     11          0   Device 1 asserted PDIAG-
  93     10:9      0x0   Device 1 detection method: -, Jumper, CSEL, other
  93      8          0   Must be set to 1
  93      7          0   Reserved
  93      6          0   Device 0 responds when device 1 selected
  93      5          0   Device 0 detected the assertion of DASP-
  93      4          0   Device 0 detected the assertion of PDIAG-
  93      3          0   Device 0 passed diagnostics
  93      2:1      0x0   Device 0 detection method: -, Jumper, CSEL, other
  93      0          0   Must be set to 1

  94      -     0x0000   AAM level [OBS-ACS-2]
  94     15:8     0x00   Recommended AAM level [OBS-ACS-2]
  94      7:0     0x00   Current AAM level [OBS-ACS-2]

  95      -     0x0000   Stream Minimum Request Size

  96      -     0x0000   Streaming Transfer Time - DMA

  97      -     0x0000   Streaming Access Latency - DMA and PIO

  98-99   -     0x00...  Streaming Performance Granularity (DWord)

 100-103  -     .        User addressable sectors for 48-bit commands (QWord)
 100-103  .     0xbeb0:d1c0:0001:0000  (7814037168)

 104      -     0x0000   Streaming Transfer Time - PIO

 105      -     0x000a   Max blocks of LBA Range Entries per DS MANAGEMENT cmd

 106      -     0x6003   Physical sector size / logical sector size
 106     15:14     0x1   Must be set to 0x1
 106     13          1   Multiple logical sectors per physical sector
 106     12          0   Logical Sector longer than 256 words
 106     11:4     0x00   Reserved
 106      3:0      0x3   2^X logical sectors per physical sector

 107      -     0x0000   Inter-seek delay for ISO 7779 acoustic testing

 108-111  -     .        World Wide Name
 108-111  .     0x5001:4ee2:bced:8ec7

 112-115  -     0x00...  Reserved

 116      -     0x0000   Reserved for TLC [OBS-ACS-3]

 117-118  -     0x00...  Logical sector size (DWord)

 119      -     0x401c   Commands and feature sets supported
 119     15:14     0x1   Must be set to 0x1
 119     13:10     0x0   Reserved
 119      9          0   DSN feature set supported
 119      8          0   Accessible Max Address Config feature set supported
 119      7          0   Extended Power Conditions feature set supported
 119      6          0   Sense Data Reporting feature set supported
 119      5          0   Free-fall Control feature set supported
 119      4          1   DOWNLOAD MICROCODE with mode 3 supported
 119      3          1   READ/WRITE LOG DMA EXT supported
 119      2          1   WRITE UNCORRECTABLE EXT supported
 119      1          0   Write-Read-Verify feature set supported
 119      0          0   Reserved for DDT [OBS-ACS-3]

 120      -     0x401c   Commands and feature sets supported or enabled
 120     15:14     0x1   Must be set to 0x1
 120     13:10     0x0   Reserved
 120      9          0   DSN feature set enabled
 120      8          0   Reserved
 120      7          0   Extended Power Conditions feature set enabled
 120      6          0   Sense Data Reporting feature set enabled
 120      5          0   Free-fall Control feature set enabled
 120      4          1   DOWNLOAD MICROCODE with mode 3 supported
 120      3          1   READ/WRITE LOG DMA EXT supported
 120      2          1   WRITE UNCORRECTABLE EXT supported
 120      1          0   Write-Read-Verify feature set enabled
 120      0          0   Reserved for DDT [OBS-ACS-3]

 121-126  -     0x00...  Reserved

 127      -     0x0000   Removable Media Status Notification [OBS-8]
 127     15:1   0x0000   Reserved
 127      0          0   Removable Media Status Notification supported

 128      -     0x0021   Security status
 128     15:9     0x00   Reserved
 128      8          0   Master password capability: 0 = High, 1 = Maximum
 128      7:6      0x0   Reserved
 128      5          1   Enhanced security erase supported
 128      4          0   Security count expired
 128      3          0   Security frozen
 128      2          0   Security locked
 128      1          0   Security enabled
 128      0          1   Security supported

 129-159  -     .        Vendor specific
 129-132  .     0x0000:0000:0000:0000
 133-136  .     0x0000:0000:0000:0000
 137-140  .     0x0000:0000:0000:0000
 141-144  .     0x8001:0004:8160:0000
 145-148  .     0x0000:0000:0000:0000
 149-152  .     0x0000:0000:0000:0000
 153-156  .     0x0000:0000:0000:0000
 157-159  .     0x0000:0000:0001

 160      -     0x0000   CFA power mode

 161-167  -     0x00...  Reserved for CFA
168      -     0x0002   Form factor
 168     15:4    0x000   Reserved
 168      3:0      0x2   Nominal form factor: -, 5.25, 3.5, 2.5, 1.8, ...

 169      -     0x0001   DATA SET MANAGEMENT command support
 169     15:1   0x0000   Reserved
 169      0          1   Trim bit in DATA SET MANAGEMENT command supported

 170-173  -     0x00...  Additional product identifier (String)

 174-175  -     0x00...  Reserved

 176-205  -     0x00...  Current media serial number (String)

 206      -     0x3039   SCT Command Transport
 206     15:12     0x3   Vendor specific
 206     11:8      0x0   Reserved
 206      7          0   Reserved for Serial ATA
 206      6          0   Reserved
 206      5          1   SCT Data Tables supported
 206      4          1   SCT Feature Control supported
 206      3          1   SCT Error Recovery Control supported
 206      2          0   SCT Write Same supported
 206      1          0   SCT Read/Write Long supported [OBS-ACS-2]
 206      0          1   SCT Command Transport supported

 207-208  -     0x00...  Reserved

 209      -     0x4000   Alignment of logical sectors
 209     15:14     0x1   Must be set to 0x1
 209     13:0   0x0000   Logical sector offset

 210-211  -     0x00...  Write-Read-Verify sector count mode 3 (DWord)

 212-213  -     0x00...  Write-Read-Verify sector count mode 2 (DWord)

 214      -     0x0000   NV Cache capabilities [OBS-ACS-3]
 214     15:12     0x0   NV Cache feature set version [OBS-ACS-3]
 214     11:8      0x0   NV Cache Power Mode feature set version [OBS-ACS-3]
 214      7:5      0x0   Reserved [OBS-ACS-3]
 214      4          0   NV Cache feature set enabled [OBS-ACS-3]
 214      3:2      0x0   Reserved
 214      1          0   NV Cache Power Mode feature set enabled [OBS-ACS-3]
 214      0          0   NV Cache Power Mode feature set supported [OBS-ACS-3]

 215-216  -     0x00...  NV Cache size in logical blocks (DWord) [OBS-ACS-3]

 217      -     0x1518   Nominal media rotation rate

 218      -     0x0000   Reserved

 219      -     0x0000   NV Cache options [OBS-ACS-3]
 219     15:8     0x00   Reserved [OBS-ACS-3]
 219      7:0     0x00   Estimated time to spin up in seconds [OBS-ACS-3]

 220      -     0x0000   Write-Read-Verify mode
 220     15:8     0x00   Reserved
 220      7:0     0x00   Write-Read-Verify feature set current mode

 221      -     0x0000   Reserved

222      -     0x107e   Transport major version number
 222     15:12     0x1   Transport: 0x0 = Parallel, 0x1 = Serial, 0xe = PCIe
 222     11:9      0x0   Reserved    | Reserved
 222      8          0   Reserved    | SATA 3.3
 222      7          0   Reserved    | SATA 3.2
 222      6          1   Reserved    | SATA 3.1
 222      5          1   Reserved    | SATA 3.0
 222      4          1   Reserved    | SATA 2.6
 222      3          1   Reserved    | SATA 2.5
 222      2          1   Reserved    | SATA II: Extensions
 222      1          1   ATA/ATAPI-7 | SATA 1.0a
 222      0          0   ATA8-APT    | ATA8-AST

 223      -     0x0000   Transport minor version number

 224-229  -     0x00...  Reserved

 230-233  -     .        Extended number of user addressable sectors (QWord)
 230-233  .     0xbeb0:d1c0:0001:0000  (7814037168)

 234      -     0x0001   Minimum blocks per DOWNLOAD MICROCODE mode 3 command

 235      -     0x1000   Maximum blocks per DOWNLOAD MICROCODE mode 3 command

 236-254  -     0x00...  Reserved

 255      -     0x0ea5   Integrity word
 255     15:8     0x0e   Checksum
 255      7:0     0xa5   Signature


comment:7 Changed 8 weeks ago by arinci

So it's seems that the SMR technology is a secret to be kept hidden to the user!
Can you please try also on other SMR drives?

And please see if the following command gives some more info: -l gplog,0x30,9

According to ZAC standard this page should contains detailed info on ZONED DEVICE.

comment:8 Changed 8 weeks ago by Stoat

Diffing the result from the WD20EFRX and WD40EFAX shows the following:

(diff --side-by-side -F3, then removing identical lines. WD20 on the left)

smartctl 7.1 2019-12-30 r5022 [x86_64-linux-5.4.0-18-generic]   smartctl 7.1 2019-12-30 r5022 [x86_64-linux-5.4.0-18-generic]
Copyright (C) 2002-19, Bruce Allen, Christian Franke, www.sma   Copyright (C) 2002-19, Bruce Allen, Christian Franke, www.sma

=== ATA IDENTIFY DATA ===                                       === ATA IDENTIFY DATA ===
Word     Bit     Value   Description                            Word     Bit     Value   Description

  10-19   -     .        Serial number (String)                   10-19   -     .        Serial number (String)
  10-13   .     0x2020:2020:2057:442d  "     WD-"                 10-13   .     0x2020:2020:2057:442d  "     WD-"
  14-17   .     0x5743:4334:4d34:4455  "WCC4M4DU"             |   14-17   .     0x5758:3132:4431:3045  "WX12D10E"
  18-19   .     0x5246:5650            "RFVP"                 |   18-19   .     0x3055:3248            "0U2H"

[well this should be obvious...]

  23-26   -     .        Firmware revision (String)               23-26   -     .        Firmware revision (String)
  23-26   .     0x3832:2e30:3041:3832  "82.00A82"                 23-26   .     0x3832:2e30:3041:3832  "82.00A82"

[I've included this for interest sake. Reporting the same FW version???]

  27-46   -     .        Model number (String)                    27-46   -     .        Model number (String)
  27-30   .     0x5744:4320:5744:3230  "WDC WD20"             |   27-30   .     0x5744:4320:5744:3430  "WDC WD40"
  31-34   .     0x4546:5258:2d36:3845  "EFRX-68E"             |   31-34   .     0x4546:4158:2d36:384a  "EFAX-68J"
  35-38   .     0x555a:4e30:2020:2020  "UZN0    "             |   35-38   .     0x4834:4e30:2020:2020  "H4N0    "
  39-42   .     0x2020:2020:2020:2020  "        "                 39-42   .     0x2020:2020:2020:2020  "        "
  43-46   .     0x2020:2020:2020:2020  "        "                 43-46   .     0x2020:2020:2020:2020  "        "

[model numbers differ, as would be expected]

  53      -     0x0007   Field validity / Free-fall Control   |   53      -     0x0006   Field validity / Free-fall Control
  53     15:8     0x00   Free-fall Control sensitivity            53     15:8     0x00   Free-fall Control sensitivity
  53      7:3     0x00   Reserved                                 53      7:3     0x00   Reserved
  53      2          1   Word 88 (Ultra DMA modes) is valid       53      2          1   Word 88 (Ultra DMA modes) is valid
  53      1          1   Words 64-70 (PIO modes) are valid        53      1          1   Words 64-70 (PIO modes) are valid
  53      0          1   Words 54-58 (CHS) are valid [OBS-6]  |   53      0          0   Words 54-58 (CHS) are valid [OBS-6]

  59      -     0x0100   Sanitize Device - READ/WRITE MULTIPL |   59      -     0x0110   Sanitize Device - READ/WRITE MULTIPL
  59     15          0   BLOCK ERASE EXT supported                59     15          0   BLOCK ERASE EXT supported
  59     14          0   OVERWRITE EXT supported                  59     14          0   OVERWRITE EXT supported
  59     13          0   CRYPTO SCRAMBLE EXT supported            59     13          0   CRYPTO SCRAMBLE EXT supported
  59     12          0   Sanitize Device feature set supporte     59     12          0   Sanitize Device feature set supporte
  59     11          0   Cmds during sanitize as specified by     59     11          0   Cmds during sanitize as specified by
  59     10          0   SANITIZE ANTIFREEZE LOCK EXT support     59     10          0   SANITIZE ANTIFREEZE LOCK EXT support
  59      9          0   Reserved                                 59      9          0   Reserved
  59      8          1   Bits 7:0 are valid [OBS-ACS-4]           59      8          1   Bits 7:0 are valid [OBS-ACS-4]
  59      7:0     0x00   Current number of sectors per DRQ [O |   59      7:0     0x10   Current number of sectors per DRQ [O

  69      -     0x0000   Additional support                   |   69      -     0x4d28   Additional support
  69     15          0   CFast specification supported            69     15          0   CFast specification supported
  69     14          0   Deterministic data after trim suppor |   69     14          1   Deterministic data after trim suppor
  69     13          0   LPS Alignment Error Reporting Contro     69     13          0   LPS Alignment Error Reporting Contro
  69     12          0   DCO IDENTIFY/SET DMA supported [OBS-     69     12          0   DCO IDENTIFY/SET DMA supported [OBS-
  69     11          0   READ BUFFER DMA supported            |   69     11          1   READ BUFFER DMA supported
  69     10          0   WRITE BUFFER DMA supported           |   69     10          1   WRITE BUFFER DMA supported
  69      9          0   SET MAX SET PASSWORD/UNLOCK DMA supp     69      9          0   SET MAX SET PASSWORD/UNLOCK DMA supp
  69      8          0   DOWNLOAD MICROCODE DMA supported     |   69      8          1   DOWNLOAD MICROCODE DMA supported
  69      7          0   Reserved for IEEE 1667                   69      7          0   Reserved for IEEE 1667
  69      6          0   Optional ATA device 28-bit commands      69      6          0   Optional ATA device 28-bit commands 
  69      5          0   Trimmed LBA range(s) returning zeroe |   69      5          1   Trimmed LBA range(s) returning zeroe
  69      4          0   Device encrypts all user data            69      4          0   Device encrypts all user data
  69      3          0   Extended number of user addressable  |   69      3          1   Extended number of user addressable 
  69      2          0   All write cache is non-volatile          69      2          0   All write cache is non-volatile
  69      1:0      0x0   Zoned Capabilities                       69      1:0      0x0   Zoned Capabilities

  80      -     0x03fe   Major version number                 |   80      -     0x07fe   Major version number
  80     15:12     0x0   Reserved                                 80     15:12     0x0   Reserved
  80     11          0   ACS-4 supported                          80     11          0   ACS-4 supported
  80     10          0   ACS-3 supported                      |   80     10          1   ACS-3 supported
  80      9          1   ACS-2 supported                          80      9          1   ACS-2 supported
  80      8          1   ATA8-ACS supported                       80      8          1   ATA8-ACS supported
  80      7          1   ATA/ATAPI-7 supported [OBS-ACS-4]        80      7          1   ATA/ATAPI-7 supported [OBS-ACS-4]
  80      6          1   ATA/ATAPI-6 supported [OBS-ACS-4]        80      6          1   ATA/ATAPI-6 supported [OBS-ACS-4]
  80      5          1   ATA/ATAPI-5 supported [OBS-ACS-4]        80      5          1   ATA/ATAPI-5 supported [OBS-ACS-4]
  80      4          1   ATA/ATAPI-4 supported [OBS-8]            80      4          1   ATA/ATAPI-4 supported [OBS-8]
  80      3          1   ATA-3 supported [OBS-7]                  80      3          1   ATA-3 supported [OBS-7]
  80      2          1   ATA-2 supported [OBS-6]                  80      2          1   ATA-2 supported [OBS-6]
  80      1          1   ATA-1 supported [OBS-5]                  80      1          1   ATA-1 supported [OBS-5]
  80      0          0   Reserved                                 80      0          0   Reserved

  81      -     0x0000   Minor version number                 |   81      -     0x006d   Minor version number

  83      -     0x7d61   Commands and feature sets supported  |   83      -     0x7501   Commands and feature sets supported
  83     15:14     0x1   Must be set to 0x1                       83     15:14     0x1   Must be set to 0x1
  83     13          1   FLUSH CACHE EXT supported                83     13          1   FLUSH CACHE EXT supported
  83     12          1   FLUSH CACHE supported                    83     12          1   FLUSH CACHE supported
  83     11          1   DCO feature set supported [OBS-ACS-3 |   83     11          0   DCO feature set supported [OBS-ACS-3
  83     10          1   48-bit Address feature set supported     83     10          1   48-bit Address feature set supported
  83      9          0   AAM feature set supported [OBS-ACS-2     83      9          0   AAM feature set supported [OBS-ACS-2
  83      8          1   SET MAX security extension supported     83      8          1   SET MAX security extension supported
  83      7          0   Reserved for Addr Offset Resvd Area      83      7          0   Reserved for Addr Offset Resvd Area 
  83      6          1   SET FEATURES subcommand required to  |   83      6          0   SET FEATURES subcommand required to 
  83      5          1   PUIS feature set supported           |   83      5          0   PUIS feature set supported
  83      4          0   Removable Media Status Notification      83      4          0   Removable Media Status Notification 
  83      3          0   APM feature set supported                83      3          0   APM feature set supported
  83      2          0   CFA feature set supported                83      2          0   CFA feature set supported
  83      1          0   TCQ feature set supported [OBS-ACS-2     83      1          0   TCQ feature set supported [OBS-ACS-2
  83      0          1   DOWNLOAD MICROCODE supported             83      0          1   DOWNLOAD MICROCODE supported

  84      -     0x6733   Commands and feature sets supported  |   84      -     0x6123   Commands and feature sets supported
  84     15:14     0x1   Must be set to 0x1                       84     15:14     0x1   Must be set to 0x1
  84     13          1   IDLE IMMEDIATE with UNLOAD feature s     84     13          1   IDLE IMMEDIATE with UNLOAD feature s
  84     12:11     0x0   Reserved for TLC [OBS-ACS-3]             84     12:11     0x0   Reserved for TLC [OBS-ACS-3]
  84     10          1   URG bit for WRITE STREAM (DMA) EXT s |   84     10          0   URG bit for WRITE STREAM (DMA) EXT s
  84      9          1   URG bit for READ STREAM (DMA) EXT su |   84      9          0   URG bit for READ STREAM (DMA) EXT su
  84      8          1   64-bit World Wide Name supported         84      8          1   64-bit World Wide Name supported
  84      7          0   WRITE DMA QUEUED FUA EXT supported [     84      7          0   WRITE DMA QUEUED FUA EXT supported [
  84      6          0   WRITE DMA/MULTIPLE FUA EXT supported     84      6          0   WRITE DMA/MULTIPLE FUA EXT supported
  84      5          1   GPL feature set supported                84      5          1   GPL feature set supported
  84      4          1   Streaming feature set supported      |   84      4          0   Streaming feature set supported
  84      3          0   Media Card Pass Through Command supp     84      3          0   Media Card Pass Through Command supp
  84      2          0   Media serial number supported [RES-A     84      2          0   Media serial number supported [RES-A
  84      1          1   SMART self-test supported                84      1          1   SMART self-test supported
  84      0          1   SMART error logging supported            84      0          1   SMART error logging supported
  86      -     0xbc41   Commands and feature sets supported  |   86      -     0xb401   Commands and feature sets supported 
  86     15          1   Words 119-120 are valid                  86     15          1   Words 119-120 are valid
  86     14          0   Reserved                                 86     14          0   Reserved
  86     13          1   FLUSH CACHE EXT supported                86     13          1   FLUSH CACHE EXT supported
  86     12          1   FLUSH CACHE supported                    86     12          1   FLUSH CACHE supported
  86     11          1   DCO feature set supported [OBS-ACS-3 |   86     11          0   DCO feature set supported [OBS-ACS-3
  86     10          1   48-bit Address features set supporte     86     10          1   48-bit Address features set supporte
  86      9          0   AAM feature set enabled [OBS-ACS-2]      86      9          0   AAM feature set enabled [OBS-ACS-2]
  86      8          0   SET MAX security extension enabled [     86      8          0   SET MAX security extension enabled [
  86      7          0   Reserved for Addr Offset Resvd Area      86      7          0   Reserved for Addr Offset Resvd Area 
  86      6          1   SET FEATURES subcommand required to  |   86      6          0   SET FEATURES subcommand required to 
  86      5          0   PUIS feature set enabled                 86      5          0   PUIS feature set enabled
  86      4          0   Removable Media Status Notification      86      4          0   Removable Media Status Notification 
  86      3          0   APM feature set enabled                  86      3          0   APM feature set enabled
  86      2          0   CFA feature set supported                86      2          0   CFA feature set supported
  86      1          0   TCQ feature set supported [OBS-ACS-2     86      1          0   TCQ feature set supported [OBS-ACS-2
  86      0          1   DOWNLOAD MICROCODE supported             86      0          1   DOWNLOAD MICROCODE supported

  87      -     0x6723   Commands and feature sets supported  |   87      -     0x6123   Commands and feature sets supported 
  87     15:14     0x1   Must be set to 0x1                       87     15:14     0x1   Must be set to 0x1
  87     13          1   IDLE IMMEDIATE with UNLOAD FEATURE s     87     13          1   IDLE IMMEDIATE with UNLOAD FEATURE s
  87     12:11     0x0   Reserved for TLC [OBS-ACS-3]             87     12:11     0x0   Reserved for TLC [OBS-ACS-3]
  87     10          1   URG bit for WRITE STREAM (DMA) EXT s |   87     10          0   URG bit for WRITE STREAM (DMA) EXT s
  87      9          1   URG bit for READ STREAM (DMA) EXT su |   87      9          0   URG bit for READ STREAM (DMA) EXT su
  87      8          1   64-bit World Wide Name supported         87      8          1   64-bit World Wide Name supported
  87      7          0   WRITE DMA QUEUED FUA EXT supported [     87      7          0   WRITE DMA QUEUED FUA EXT supported [
  87      6          0   WRITE DMA/MULTIPLE FUA EXT supported     87      6          0   WRITE DMA/MULTIPLE FUA EXT supported
  87      5          1   GPL feature set supported                87      5          1   GPL feature set supported
  87      4          0   Valid CONFIGURE STREAM has been exec     87      4          0   Valid CONFIGURE STREAM has been exec
  87      3          0   Media Card Pass Through Command supp     87      3          0   Media Card Pass Through Command supp
  87      2          0   Media serial number is valid             87      2          0   Media serial number is valid
  87      1          1   SMART self-test supported                87      1          1   SMART self-test supported
  87      0          1   SMART error logging supported            87      0          1   SMART error logging supported

  89      -     0x008d   SECURITY ERASE UNIT time             |   89      -     0x8102   SECURITY ERASE UNIT time
  89     15          0   Bits 14:8 of value are valid         |   89     15          1   Bits 14:8 of value are valid
  89     14:0   0x008d   SECURITY ERASE UNIT time value       |   89     14:0   0x0102   SECURITY ERASE UNIT time value
                                                              |
  90      -     0x008d   ENHANCED SECURITY ERASE UNIT time    |   90      -     0x8102   ENHANCED SECURITY ERASE UNIT time
  90     15          0   Bits 14:8 of value are valid         |   90     15          1   Bits 14:8 of value are valid
  90     14:0   0x008d   ENHANCED SECURITY ERASE UNIT time va |   90     14:0   0x0102   ENHANCED SECURITY ERASE UNIT time va

  95      -     0x0008   Stream Minimum Request Size          |   95      -     0x0000   Stream Minimum Request Size

  98-99   -     .        Streaming Performance Granularity (D |   98-99   -     0x00...  Streaming Performance Granularity (D
  98-99   .     0x86a0:0001  (100000)                         <

  100-103  -     .        User addressable sectors for 48-bit     100-103  -     .        User addressable sectors for 48-bit 
  100-103  .     0x88b0:e8e0:0000:0000  (3907029168)           |  100-103  .     0xbeb0:d1c0:0001:0000  (7814037168)

 105      -     0x0000   Max blocks of LBA Range Entries per  |  105      -     0x000a   Max blocks of LBA Range Entries per 

 108-111  -     .        World Wide Name                         108-111  -     .        World Wide Name
 108-111  .     0x5001:4ee2:b75d:f404                         |  108-111  .     0x5001:4ee2:bced:8ec7

[this is to be expected]

 129-159  -     .        Vendor specific                         129-159  -     .        Vendor specific
 129-132  .     0x0400:0001:0000:0000                         |  129-132  .     0x0000:0000:0000:0000
 133-136  .     0x0000:0000:0000:0000                            133-136  .     0x0000:0000:0000:0000
 137-140  .     0x0000:0000:0000:0000                            137-140  .     0x0000:0000:0000:0000
 141-144  .     0x0000:0004:0000:0000                         |  141-144  .     0x8001:0004:8160:0000
 145-159  .     0x0000:0000:0000:00...                        |  145-148  .     0x0000:0000:0000:0000
                                                              >  149-152  .     0x0000:0000:0000:0000
                                                              >  153-156  .     0x0000:0000:0000:0000
                                                              >  157-159  .     0x0000:0000:0001


 168      -     0x0000   Form factor                          |  168      -     0x0002   Form factor
 168     15:4    0x000   Reserved                                168     15:4    0x000   Reserved
 168      3:0      0x0   Nominal form factor: -, 5.25, 3.5, 2 |  168      3:0      0x2   Nominal form factor: -, 5.25, 3.5, 2

 169      -     0x0000   DATA SET MANAGEMENT command support  |  169      -     0x0001   DATA SET MANAGEMENT command support
 169     15:1   0x0000   Reserved                                169     15:1   0x0000   Reserved
 169      0          0   Trim bit in DATA SET MANAGEMENT comm |  169      0          1   Trim bit in DATA SET MANAGEMENT comm

 206      -     0x703d   SCT Command Transport                |  206      -     0x3039   SCT Command Transport
 206     15:12     0x7   Vendor specific                      |  206     15:12     0x3   Vendor specific
 206     11:8      0x0   Reserved                                206     11:8      0x0   Reserved
 206      7          0   Reserved for Serial ATA                 206      7          0   Reserved for Serial ATA
 206      6          0   Reserved                                206      6          0   Reserved
 206      5          1   SCT Data Tables supported               206      5          1   SCT Data Tables supported
 206      4          1   SCT Feature Control supported           206      4          1   SCT Feature Control supported
 206      3          1   SCT Error Recovery Control supported    206      3          1   SCT Error Recovery Control supported
 206      2          1   SCT Write Same supported             |  206      2          0   SCT Write Same supported
 206      1          0   SCT Read/Write Long supported [OBS-A    206      1          0   SCT Read/Write Long supported [OBS-A
 206      0          1   SCT Command Transport supported         206      0          1   SCT Command Transport supported

 222      -     0x103e   Transport major version number       |  222      -     0x107e   Transport major version number
 222     15:12     0x1   Transport: 0x0 = Parallel, 0x1 = Ser    222     15:12     0x1   Transport: 0x0 = Parallel, 0x1 = Ser
 222     11:9      0x0   Reserved    | Reserved                  222     11:9      0x0   Reserved    | Reserved
 222      8          0   Reserved    | SATA 3.3                  222      8          0   Reserved    | SATA 3.3
 222      7          0   Reserved    | SATA 3.2                  222      7          0   Reserved    | SATA 3.2
 222      6          0   Reserved    | SATA 3.1               |  222      6          1   Reserved    | SATA 3.1
 222      5          1   Reserved    | SATA 3.0                  222      5          1   Reserved    | SATA 3.0
 222      4          1   Reserved    | SATA 2.6                  222      4          1   Reserved    | SATA 2.6
 222      3          1   Reserved    | SATA 2.5                  222      3          1   Reserved    | SATA 2.5
 222      2          1   Reserved    | SATA II: Extensions       222      2          1   Reserved    | SATA II: Extensions
 222      1          1   ATA/ATAPI-7 | SATA 1.0a                 222      1          1   ATA/ATAPI-7 | SATA 1.0a
 222      0          0   ATA8-APT    | ATA8-AST                  222      0          0   ATA8-APT    | ATA8-AST

230-233  -     0x00...  Extended number of user addressable  |  230-233  -     .        Extended number of user addressable 
                                                              >  230-233  .     0xbeb0:d1c0:0001:0000  (7814037168)

  255      -     0xa2a5   Integrity word                       |  255      -     0x0ea5   Integrity word
 255     15:8     0xa2   Checksum                             |  255     15:8     0x0e   Checksum
 255      7:0     0xa5   Signature                               255      7:0     0xa5   Signature



comment:9 Changed 8 weeks ago by Stoat

I only have the WD40EFAX drives onhand.

# smartctl -l gplog,0x30,9 /dev/sdd
smartctl 7.1 2019-12-30 r5022 [x86_64-linux-5.4.0-18-generic] (local build)
Copyright (C) 2002-19, Bruce Allen, Christian Franke, www.smartmontools.org

General Purpose Log 0x30 has only 9 sectors, output skipped

It really does look like they're going out of their way to hide DM-SMR is under the covers

however, the WD20EFRX returns:

# smartctl -l gplog,0x30,9 /dev/sdc
smartctl 7.1 2019-12-30 r5022 [x86_64-linux-5.4.0-18-generic] (local build)
Copyright (C) 2002-19, Bruce Allen, Christian Franke, www.smartmontools.org

General Purpose Log 0x30 does not exist (override with '-T permissive' option)

so there is _a_ difference.

comment:10 Changed 8 weeks ago by Stoat

For what it's worth, this is the output from a ST4000VN000-1H41 (about 8 years old)

# smartctl -l gplog,0x30,9 /dev/sdh
smartctl 7.1 2019-12-30 r5022 [x86_64-linux-5.4.0-18-generic] (local build)
Copyright (C) 2002-19, Bruce Allen, Christian Franke, www.smartmontools.org

General Purpose Log 0x30 has only 9 sectors, output skipped

I'm pretty sure this drive is CMR, due to its age, performance characteristics and the fact that it (plus its 4 friends) resilvered in the same ZFS array in less than a day whilst the WD40EFAX drives won't even stay in the array.

WD40EFRX have been completely removed from my wholesaler's list so I can't even obtain one to crosscheck.

comment:11 Changed 8 weeks ago by Stoat

smartctl -l gplog,0x30 from the ST4000VN000 above vs the WD40EFAX

ST4k:
General Purpose Log 0x30 [IDENTIFY DEVICE data log], Page 0-0 (of 9)
0000000: 01 00 00 00 00 00 00 00 09 00 01 02 03 04 05 06 |................|
0000010: 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 |................|

Wd40:

General Purpose Log 0x30 [IDENTIFY DEVICE data log], Page 0-0 (of 9)
0000000: 01 00 00 00 00 00 00 00 08 00 01 02 03 04 05 06 |................|
0000010: 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 |................|

0x020 down to 0x1f0 are all zeros on both drives

comment:12 Changed 8 weeks ago by arinci

I understand the reason why both your WD drives does not report the relevant ZONED DEVICES information. It's due to the fact that they are not compliant to ACS-4, but they are compliant to previous standards, ACS-3 or ACS-2 (see word 80 of IDENTIFY DEVICE returned data). On these two specs the ZONED DEVICES capabilities flags was not defined!

Considering that ACS-4 move from DRAFT to FINAL on 10/14/16, I am curios to see if any new "ACS-4 compliant" SMR drives declare their capabilities in proper way. Any one can do this kind of test with recent SMR drives?

comment:13 Changed 8 weeks ago by Stoat

The WD40EFAX drives are new to the channel as of Q32019, so there's no real reason they shouldn't be ACS4 (presumably WD shipped them as ACS3 to be inline with the larger/older EFAX models)

This still leaves open the question of how to differentiate SMR from CMR drives

It really does look like the only significant differences are in word 69 (trim now supported) and 84 (streaming no longer supported - which you'd expect if the drive has to periodically stop to rearrange itself)

Last edited 8 weeks ago by Stoat (previous) (diff)

comment:14 Changed 8 weeks ago by Stoat

It looks like this has been a hot-button issue in the Reddit datahoarder area for at least a year

Concensus seems to be:

"All rotational drives with trim are SMR drives. HOWEVER, not all SMR drives expose trim function"

there are some other clues in the model numbers through: Seagate adding an extra 0 in some suffixes - ST3000DM0007 vs SM3000DM007 and the EFRX vs EFAX in WD's RED ranges.

The complaints are long, loud and repeated that both SG & WD are omitting to mention that drives are SMR - even when challenged on the issue, deflecting with "Oh, they're TGMR" (which is a head type) or "PMR" (which is a recording technique), etc

Changed 7 weeks ago by arinci

Attachment: TOSHIBA HDWL120.txt added

Changed 7 weeks ago by arinci

Attachment: identify_wb.txt added

comment:15 Changed 7 weeks ago by arinci

See previous 2 attachments, related to a recent 2.5" Toshiba hdd, 2TB size, L200 serie.
This drive report itself to be only ACS-3 compliant, not ACS-4, but the last 2 bits of word 69 of identify command are present:

  69      -     0x010a   Additional support
  69     15          0   CFast specification supported
  69     14          0   Deterministic data after trim supported
  69     13          0   LPS Alignment Error Reporting Control supported
  69     12          0   DCO IDENTIFY/SET DMA supported [OBS-ACS-3]
  69     11          0   READ BUFFER DMA supported
  69     10          0   WRITE BUFFER DMA supported
  69      9          0   SET MAX SET PASSWORD/UNLOCK DMA supported [OBS-ACS-3]
  69      8          1   DOWNLOAD MICROCODE DMA supported
  69      7          0   Reserved for IEEE 1667
  69      6          0   Optional ATA device 28-bit commands supported
  69      5          0   Trimmed LBA range(s) returning zeroed data supported
  69      4          0   Device encrypts all user data
  69      3          1   Extended number of user addressable sectors supported
  69      2          0   All write cache is non-volatile
  69      1:0      0x2   Zoned Capabilities

0x2 means "Device supports device managed zoned device capabilities", so this is clearly an SMR drive.

I'd like to know if other SMR disks report this info on word 69: comments from other smartmontools users are welcome!

comment:16 Changed 7 weeks ago by Stoat

Note this claim from WDC's UK enterprise & Channel sales manager:

From: Yemi Elegunde <yemi.elegunde@…>
Date: Mon, 30 Mar 2020 08:49:11 +0000

Subject: Re: Western Digital UK HDD Roadmap
Thread-Topic: Western Digital UK HDD Roadmap

Morning all,

I am ok for a roadmap update if needed. I am available on Thursday & Friday as well.

Just a quick note. The only SMR drive that Western Digital will have in production is our 20TB hard enterprise hard drives and even these will not be rolled out into the channel.

All of our current range of hard drives are based on CMR Conventional Magnetic Recording.

With SMR Western Digital would make it very clear as that format of hard drive requires a lot of technological tweaks in customer systems.

With regards



Yemi Elegunde
Enterprise & Channel Sales Manager UK
Western Digital®
WDC UK, a Western Digital company
Yemi.elegunde@…
Office +441372 366019
Mobile +447785 316339

comment:17 Changed 7 weeks ago by Stoat

In that thread: my response to Yemi was:

Have you perhaps confused SMR and HAMR?


It's already known and more importantly _provable_ that WD are shipping
Drive-managed SMR (DM-SMR)drives at lower capacities


I can assure you that within hours of such a denial being publicised
people will be breaking out the JTAG conections to look at drive
internals at a very low level, then publishing their results



response:

Let me get my Field Application engineers involved.
I think a roadmap update will also be handy. HAMR is the next technology that We are looking at. But I will wait and get more info from the techies.


A request to disclose WD DM-SMR drives that have been released into the channel along with a way of decoding DM-SMR from the naming nomclemature simply got anther offer to "discuss this in a conference call with my Field application engineers and the HDD specialists."

They've had a week to respond and failed to do so, which is why I've throwing this into the public arena.

comment:18 Changed 7 weeks ago by arinci

A representative from WDC ignore the meaning of SMR and confuse it with another kind of technology? Hilarious... :-)

Let's see the evolution of this thread.

comment:19 Changed 6 weeks ago by Stoat

It seems WD are backpedalling: This was sent today to a journalist looking into it:

All our WD Red drives are designed meet or exceed the performance requirements and specifications for common small business/home NAS workloads.

We work closely with major NAS providers to ensure WD Red HDDs (and SSDs) at all capacities have broad compatibility with host systems.

Currently, Western Digital’s WD Red 2TB-6TB drives are device-managed SMR (DMSMR).

WD Red 8TB-14TB drives are CMR-based.

The information you shared from the German e-tailer appears to be inaccurate.


You are correct that we do not specify recording technology in our WD Red HDD documentation.

We strive to make the experience for our NAS customers seamless, and recording technology typically does not impact small business/home NAS-based use cases.

In device-managed SMR HDDs, the drive does its internal data management during idle times. In a typical small business/home NAS environment, workloads tend to be bursty in nature, leaving sufficient idle time for garbage collection and other maintenance operations.


In our testing of WD Red drives, we have not found RAID rebuild issues due to SMR technology.

We would be happy to work with customers on experiences they may have, but would need further, detailed information for each individual situation.

comment:20 Changed 6 weeks ago by Stoat

The first that ixSystems (TruNAS) knew of REDs being SMR was when I alerted them due to my concerns we might find undocumented SMR drives in a 2PB project I'm working on - and they use/recommend the things in their SOHO-grade TruNAS/FreeNAS products, so alarm bells went off bigtime.

I'm willing to bet that for the most part "major NAS providers" haven't been made aware of what's really going on.

Changed 6 weeks ago by Christopher Kenna

Attachment: WD100EFAX-smart-x.txt added

Changed 6 weeks ago by Christopher Kenna

Attachment: WD100EFAX-smart-id.txt added

comment:21 Changed 6 weeks ago by Christopher Kenna

This ticket is interesting to me as someone that recently purchased 10 TB 0EFAX drives. I ran the tools and it doesn't appear that the drives show the TRIM output, which is congruent with the statement sent to the journalist in https://www.smartmontools.org/ticket/1313#comment:19

I attached the output in case it is interesting and useful for updating the drive database, assuming that happens. I will watch this ticket (if I can figure out how to make Trac do that).

Thanks.

Last edited 6 weeks ago by Christopher Kenna (previous) (diff)

comment:22 Changed 6 weeks ago by Christopher Kenna

Cc: Christopher Kenna added

Changed 6 weeks ago by nightsparc

hdparm -I output for WD40EFRX

comment:23 in reply to:  10 Changed 6 weeks ago by nightsparc

Replying to Stoat:

For what it's worth, this is the output from a ST4000VN000-1H41 (about 8 years old)

# smartctl -l gplog,0x30,9 /dev/sdh
smartctl 7.1 2019-12-30 r5022 [x86_64-linux-5.4.0-18-generic] (local build)
Copyright (C) 2002-19, Bruce Allen, Christian Franke, www.smartmontools.org

General Purpose Log 0x30 has only 9 sectors, output skipped

I'm pretty sure this drive is CMR, due to its age, performance characteristics and the fact that it (plus its 4 friends) resilvered in the same ZFS array in less than a day whilst the WD40EFAX drives won't even stay in the array.

WD40EFRX have been completely removed from my wholesaler's list so I can't even obtain one to crosscheck.

I bought some WD40EFRX last year. smartctl output is the same as for your ST4000VN000

# smartctl -l gplog,0x30,9 /dev/sda
smartctl 6.6 2017-11-05 r4594 [x86_64-linux-5.4.0-0.bpo.4-amd64] (local build)
Copyright (C) 2002-17, Bruce Allen, Christian Franke, www.smartmontools.org

General Purpose Log 0x30 has only 9 sectors, output skipped

Attached the output of hdparm -I for my WD40EFRX (hdparm_I-WD40EFRX_68N32N0.txt)

Changed 6 weeks ago by Christoph

Attachment: WD80EFAX-68KNBN0.txt added

comment:25 Changed 6 weeks ago by Christoph

Cc: Christoph added

comment:26 Changed 6 weeks ago by Stoat

Would you mind adding the output of smartctl --identify=wb (per arinci's original request on my drives) so we can see the complete table?

This will allow devs to see word 69, etc etc.

The parts I suspect that are of interest are word 69 (trim and zoning segments)and word 84 (streaming supported bit)

My suspicion is that DM-SMR drives will not support streaming even if they don't report TRIM

Changed 6 weeks ago by Christoph

WD80EFAX identify=wb

comment:27 Changed 6 weeks ago by Stoat

An official "statement" from WDC - which essentially says nothing other than attempting to pat people on the head and get rid of them.

Note they are STILL not offering to disclose which drives are DM-SMR or where their roadmap is going.

Given the claims in the last paragraph, perhaps devs might like to attempt to "work with WD" to try and resolve the issue (My pick is that they will demand NDRs....)

From: Yemi Elegunde <yemi.elegunde@wdc.com>
Date: Thu, 16 Apr 2020 13:24:44 +0000

Below is an official statement from Western Digital and this fully updates and corrects my earlier message to you.
If you are keen to talk to us, my offer for a conference call with my colleagues still stands.

Shingled magnetic recording (SMR) is a hard drive technology that efficiently increases areal density and capacity for users managing increasing amounts of data, thus lowering users’ TCO. There are both device-managed and host-managed types, each for different use cases.

All our WD Red drives are designed to meet or exceed the performance requirements and specifications for common and intended small business/home NAS workloads. WD Red capacities 2TB-6TB currently employ device-managed shingled magnetic recording (DMSMR) to maximize areal density and capacity. WD Red 8-14TB drives use conventional magnetic recording (CMR). DMSMR should not be confused with host-managed SMR (HMSMR), which is designed for data center applications having respective workload requirements and host integration.

DMSMR is designed to manage intelligent data placement within the drive, rather than relying on the host, thus enabling a seamless integration for end users. The data intensity of typical small business/home NAS workloads is intermittent, leaving sufficient idle time for DMSMR drives to perform background data management tasks as needed and continue an optimal performance experience for users.
WD Red drives are designed and tested for an annualized workload rate up to 180TB. Western Digital has seen reports of WD Red use in workloads far exceeding our specs and recommendations. Should users’ use cases exceed intended workloads, we recommend WD Red Pro or Ultrastar data center drives.
 
Western Digital works extensively with customers and the NAS vendor and partner communities to continually optimize our technology and products for common uses cases. In collaboration with major NAS providers, we work to ensure WD Red HDDs (and SSDs) at all capacities are compatible with a broad set of host systems. In our testing of WD Red drives, we have not found RAID rebuild issues due to DMSMR technology. 
 
Our customers’ experience is important to us. We will continue listening to and collaborating with the broad customer and partner communities to innovate technologies that enable better experiences with, more efficient management of and faster decisions from data.

comment:29 Changed 4 weeks ago by Andrew Clayton

Cc: Andrew Clayton added

comment:30 Changed 3 weeks ago by rrauenza

If you need more data from WD drives, I have these available for queries - just let me know what you want from them:

$ for drv in /dev/sd[a-z]; do sudo smartctl -i $drv | grep Model: ; done
Device Model:     WDC WD20EARS-00MVWB0
Device Model:     WDC WD40EFRX-68N32N0
Device Model:     WDC WD20EARX-32PASB0
Device Model:     WDC WD40EFRX-68N32N0
Device Model:     WDC WD40EFRX-68N32N0
Device Model:     WDC WD20EZRX-00DC0B0
Device Model:     WDC WD10PURX-64E5EY0
Device Model:     WDC WD40EFRX-68N32N0

(Sorry if duplicate -- I don't see my previous offer and think maybe I hit preview instead of submit.)

comment:31 in reply to:  28 Changed 3 days ago by Christian Franke

Replying to Bear_:

https://blog.westerndigital.com/wp-content/uploads/2020/04/2020_04_22_WD_SMR_SKUs_1Slide.pdf

Smartctl now reports these as Model Family: Western Digital ... (SMR), see r5054, r5057.

comment:32 Changed 2 days ago by Christian Franke

smartctl r5059 -i now prints info about TRIM support (always) and Zoned Device Capabilities (if reported):

TRIM Command:     Available, deterministic, zeroed
Zoned Device:     Device managed zones

Source tarballs and various binaries are available at https://builds.smartmontools.org/.

Note: See TracTickets for help on using tickets.